rapidjson::GenericStringBuffer< Encoding, Allocator > Class Template Reference

Represents an in-memory output stream. More...

`#include <stringbuffer.h>`

## Public Types

typedef Encoding::Ch | Ch

## Public Member Functions

| GenericStringBuffer (Allocator *allocator=0, size_t capacity=kDefaultCapacity)
void | Put (Ch c)
void | PutUnsafe (Ch c)
void | Flush ()
void | Clear ()
void | ShrinkToFit ()
void | Reserve (size_t count)
Ch * | Push (size_t count)
Ch * | PushUnsafe (size_t count)
void | Pop (size_t count)
const Ch * | GetString () const
size_t | GetSize () const

## Public Attributes

internal::Stack< Allocator > | stack_

## Static Public Attributes

static const size_t | kDefaultCapacity = 256

## Detailed Description

### template<typename Encoding, typename Allocator = CrtAllocator>
class rapidjson::GenericStringBuffer< Encoding, Allocator >

Represents an in-memory output stream.

Template Parameters

  Encoding | Encoding of the stream.
  Allocator | type for allocating memory buffer.

Note
  implements Stream concept

The documentation for this class was generated from the following files:

- include/rapidjson/fwd.h
- include/rapidjson/stringbuffer.h